Package tigase.stats

## Class JavaJMXProxyOpt

- java.lang.Object
- - tigase.stats.JavaJMXProxyOpt

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.management.NotificationListener`

      public class JavaJMXProxyOpt
      extends java.lang.Object
      implements javax.management.NotificationListener

  Author:
    Artur Hefczyc Created Jun 3, 2011

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaJMXProxyOpt​(java.lang.String id, java.lang.String hostname, int port, java.lang.String userName, java.lang.String password, long delay, long interval, boolean loadHistory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addJMXProxyListener​(JMXProxyListenerOpt listener)` |
    `void` | `connect()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getAllStats​(int level)` |
    `java.util.List<java.lang.String>` | `getComponentsNames()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getComponentStats​(java.lang.String compName, int level)` |
    `java.lang.String` | `getHostname()` |
    `java.lang.String` | `getId()` |
    `java.lang.Object` | `getMetricData​(java.lang.String key)` |
    `java.lang.Object[]` | `getMetricHistory​(java.lang.String key)` |
    `java.lang.String` | `getSystemDetails()` |
    `void` | `handleNotification​(javax.management.Notification notification, java.lang.Object handback)` |
    `boolean` | `isConnected()` |
    `boolean` | `isInitialized()` |
    `void` | `start()` |
    `void` | `update()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaJMXProxyOpt

          public JavaJMXProxyOpt​(java.lang.String id,
                                 java.lang.String hostname,
                                 int port,
                                 java.lang.String userName,
                                 java.lang.String password,
                                 long delay,
                                 long interval,
                                 boolean loadHistory)

  - ### Method Detail

    - #### addJMXProxyListener

          public void addJMXProxyListener​(JMXProxyListenerOpt listener)

    - #### connect

          public void connect()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### handleNotification

          public void handleNotification​(javax.management.Notification notification,
                                         java.lang.Object handback)

      Specified by:
        `handleNotification` in interface `javax.management.NotificationListener`

    - #### start

          public void start()

    - #### update

          public void update()

    - #### getAllStats

          public java.util.Map<java.lang.String,​java.lang.String> getAllStats​(int level)

    - #### getComponentsNames

          public java.util.List<java.lang.String> getComponentsNames()

    - #### getComponentStats

          public java.util.Map<java.lang.String,​java.lang.String> getComponentStats​(java.lang.String compName,
                                                                                          int level)

    - #### getHostname

          public java.lang.String getHostname()

    - #### getId

          public java.lang.String getId()

    - #### getMetricData

          public java.lang.Object getMetricData​(java.lang.String key)

    - #### getMetricHistory

          public java.lang.Object[] getMetricHistory​(java.lang.String key)

    - #### getSystemDetails

          public java.lang.String getSystemDetails()

    - #### isConnected

          public boolean isConnected()

    - #### isInitialized

          public boolean isInitialized()